---
base_model:
- Athkal/model-sft-dare
- Qwen/Qwen2.5-1.5B-Instruct
library_name: transformers
tags:
- mergekit
- merge

---
# model_sft_dare_resta

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [Task Arithmetic](https://arxiv.org/abs/2212.04089) merge method using [Athkal/model-sft-dare](https://huggingface.co/Athkal/model-sft-dare) as a base.

### Models Merged

The following models were included in the merge:
* /kaggle/working/model_harmful_lora
* [Qwen/Qwen2.5-1.5B-Instruct](https://huggingface.co/Qwen/Qwen2.5-1.5B-Instruct)

### Configuration

The following YAML configuration was used to produce this model:

```yaml
base_model: Athkal/model-sft-dare
dtype: float16
merge_method: task_arithmetic
modules:
  default:
    slices:
    - sources:
      - layer_range: [0, 28]
        model: Qwen/Qwen2.5-1.5B-Instruct
        parameters:
          weight: 1.0
      - layer_range: [0, 28]
        model: /kaggle/working/model_harmful_lora
        parameters:
          weight: -1.0
      - layer_range: [0, 28]
        model: Athkal/model-sft-dare
tokenizer_source: base
```
